%{!?python3: %global python3 %{__python3}}

Name:           rpmlint
Version:        2.3.0
Release:        0.20220617072210018061.main.20.g1ba4bd0%{?dist}
Summary:        Tool for checking common errors in RPM packages

License:        GPLv2+
URL:            https://github.com/rpm-software-management/rpmlint
Source0:        rpmlint-2.3.0.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%if 0%{?suse_version}
# Unfortunately, these don't get pulled in automatically...
BuildRequires:  python-rpm-macros
BuildRequires:  python3-setuptools
# For tests
BuildRequires:  python3-magic
BuildRequires:  python3-pybeam
BuildRequires:  python3-pyenchant
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-pytest-flake8
BuildRequires:  python3-pytest-xdist
BuildRequires:  python3-pyxdg
BuildRequires:  python3-rpm
BuildRequires:  python3-toml
BuildRequires:  python3-zstandard
%else
BuildRequires:  python3dist(setuptools)
# For tests
BuildRequires:  python3dist(file-magic)
BuildRequires:  python3dist(pybeam)
BuildRequires:  python3dist(pyenchant)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-flake8)
BuildRequires:  python3dist(pytest-xdist)
BuildRequires:  python3dist(pyxdg)
BuildRequires:  python3dist(rpm)
BuildRequires:  python3dist(toml)
BuildRequires:  python3dist(zstandard)
%endif

# Rest of the test dependencies
BuildRequires:  dash
BuildRequires:  /usr/bin/appstream-util
BuildRequires:  /usr/bin/checkbashisms
BuildRequires:  /usr/bin/desktop-file-validate

%if 0%{?suse_version}
BuildRequires:  myspell-en_US
BuildRequires:  myspell-cs_CZ
%else
BuildRequires:  hunspell-en
BuildRequires:  hunspell-cs
%endif

%if 0%{?fedora} || 0%{?rhel} >= 8
BuildRequires:  glibc-langpack-en
%endif

%if 0%{?suse_version}
BuildRequires:  glibc-locale-base
%endif

%if 0%{?mageia}
BuildRequires:  locales-en
%endif

Requires:       /bin/bash
Requires:       /usr/bin/appstream-util
Requires:       /usr/bin/bzip2
Requires:       /usr/bin/checkbashisms
Requires:       /usr/bin/cpio
Requires:       /usr/bin/desktop-file-validate
Requires:       /usr/bin/groff
Requires:       /usr/bin/gtbl
Requires:       /usr/bin/ldd
Requires:       /usr/bin/man
Requires:       /usr/bin/perl
Requires:       /usr/bin/readelf
Requires:       /usr/bin/xz
Requires:       /usr/bin/zstd

# Enable Python dependency generation
%{?python_enable_dependency_generator}

%description
rpmlint is a tool for checking common errors in RPM packages. Binary
and source packages as well as spec files can be checked.


%prep
%autosetup -n rpmlint-2.3.0


%build
%py3_build


%install
%py3_install


%check
%python3 -m pytest


%files
%license COPYING
%doc README*
%{_bindir}/rpmlint
%{_bindir}/rpmdiff
%{python3_sitelib}/rpmlint*


%changelog
* Fri Jun 17 2022 Packit <hello@packit.dev> - 2.3.0-0.20220617072210018061.main.20.g1ba4bd0
- Improve binary-or-shlib-defines-rpath error (Martin Liska)
- Add `--file` as an alias for `--rpmlintrc` (Peter Portante)
- Rework format reporting for shlib-policy-name-error. (Martin Liska)
- Increase badness for binary-or-shlib-defines-rpath. (Martin Liska)
- Revert "Use zypper for openSUSE." (Neal Gompa)
- opensuse config: parse ValidLicenseExceptions (Martin Liska)
- Report binary in shlib-policy-name-error error (Martin Liska)
- Remove extra prints from tests. (Martin Liska)
- Increase badness for executable-stack (Martin Liska)
- openSUSE: Do not allow files in /etc/NetworkManager/dispatcher.d anymore (Stefan Schubert)
- Update shlib-policy-name-error score for openSUSE (Jan Engelhardt)

